Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.trolltech.qt.core
Class QMutex.RecursionMode

    java.lang.Object
      java.lang.Enum
          com.trolltech.qt.core.QMutex.RecursionMode

All Implemented Interfaces:
  QtEnumerator, java.io.Serializable, java.lang.Comparable

Enclosing class:
  QMutex

    public static final class QMutex.RecursionMode

extends java.lang.Enum
implements QtEnumerator

See Also:
  Serialized Form

Field Summary
`static QMutex.RecursionMode` | `NonRecursive`
`static QMutex.RecursionMode` | `Recursive`

Method Summary
`static QMutex.RecursionMode` | `resolve(int value)`
`int` | `value()` This function should return an integer value for the enum values of the enumeration that implements this interface.
`static QMutex.RecursionMode` | `valueOf(java.lang.String name)`
`static QMutex.RecursionMode[]` | `values()`

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### NonRecursive

    public static final QMutex.RecursionMode NonRecursive

### Recursive

    public static final QMutex.RecursionMode Recursive

Method Detail

### values

    public static QMutex.RecursionMode[] values()

### valueOf

    public static QMutex.RecursionMode valueOf(java.lang.String name)

### value

    public int value()

  Description copied from interface: `QtEnumerator`
  This function should return an integer value for the enum values of the enumeration that implements this interface.

  Specified by:
    `value` in interface `QtEnumerator`

### resolve

    public static QMutex.RecursionMode resolve(int value)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD